| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Accumulators::SquareAccumulator< Arithmetic, Atomicity > Struct Template Reference

SquareAccumulator. More...

`#include <GaudiKernel/Counters.h>`

Inheritance diagram for Gaudi::Accumulators::SquareAccumulator< Arithmetic, Atomicity >:
[legend]
Collaboration diagram for Gaudi::Accumulators::SquareAccumulator< Arithmetic, Atomicity >:
[legend]

## Public Member Functions
Arithmetic | sum2 () const
Public Member Functions inherited from Gaudi::Accumulators::GenericAccumulator< InputType, InnerType, Atomicity, InputTransform, OutputTransform, ValueHandler >
GenericAccumulator | operator+= (const InputType by)
| GenericAccumulator ()
template<typename... Args>
| GenericAccumulator (std::in_place_t, Args &&... args)
| GenericAccumulator (const GenericAccumulator &other)
GenericAccumulator & | operator= (const GenericAccumulator &other)
OutputType | value () const
void | reset ()
template<atomicity ato, typename VH >
void | mergeAndReset (GenericAccumulator< InputType, InnerType, ato, InputTransform, OutputTransform, VH > &&other)

## Additional Inherited Members
Public Types inherited from Gaudi::Accumulators::GenericAccumulator< InputType, InnerType, Atomicity, InputTransform, OutputTransform, ValueHandler >
using | OutputType = std::decay_t< std::result_of_t< OutputTransform(InnerType)> >
Protected Member Functions inherited from Gaudi::Accumulators::GenericAccumulator< InputType, InnerType, Atomicity, InputTransform, OutputTransform, ValueHandler >
void | reset (InnerType in)

## Detailed Description

### template<typename Arithmetic = double, atomicity Atomicity = atomicity::full>
struct Gaudi::Accumulators::SquareAccumulator< Arithmetic, Atomicity >

SquareAccumulator.

A SquareAccumulator is an Accumulator storing the sum of squares of the provided values

See also
  Gaudi::Accumulators for detailed documentation

Definition at line 440 of file Counters.h.

## Member Function Documentation

## ◆ sum2()

template<typename Arithmetic = double, atomicity Atomicity = atomicity::full>

Arithmetic Gaudi::Accumulators::SquareAccumulator< Arithmetic, Atomicity >::sum2 | ( |  | ) | const
| inline

Definition at line 441 of file Counters.h.

441 { return this->value(); };
Gaudi::Accumulators::GenericAccumulator::value
OutputType value() const
Definition: Counters.h:355

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h